## first-last-agg 0.1.4-4

=== Makefile ===
EXTENSION    = first_last_agg
EXTVERSION   = $(shell grep default_version $(EXTENSION).control | \
               sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")

DATA         = $(filter-out $(wildcard sql/*--*.sql),$(wildcard sql/*.sql))
DOCS         = $(wildcard doc/*.md)
TESTS        = $(wildcard test/sql/*.sql)
REGRESS      = $(patsubst test/sql/%.sql,%,$(TESTS))
REGRESS_OPTS = --inputdir=test
MODULES      = $(patsubst %.c,%,$(wildcard src/*.c))
PG_CONFIG    = pg_config
PG91         = $(shell $(PG_CONFIG) --version | grep -qE " 8\.| 9\.0" && echo no || echo yes)

ifeq ($(PG91),yes)
all: sql/$(EXTENSION)--$(EXTVERSION).sql

sql/$(EXTENSION)--$(EXTVERSION).sql: sql/$(EXTENSION).sql
	cp $< $@

DATA_built   = sql/$(EXTENSION)--$(EXTVERSION).sql
DATA         = $(filter-out sql/$(EXTENSION)--$(EXTVERSION).sql, $(wildcard sql/*--*.sql))
endif

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

## first-last-agg 0.1.4~20220627.1731-4-gd63ea3b-5~1.git70f2124.pgdg18.04+1

=== debian/changelog ===
first-last-agg (0.1.4~20220627.1731-4-gd63ea3b-5~1.git70f2124.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 16:32:31 +0100

first-last-agg (0.1.4-4-gd63ea3b-5) unstable; urgency=medium

  * Fix GitHub watch file.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Jan 2022 16:32:31 +0100

first-last-agg (0.1.4-4-gd63ea3b-4) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Fri, 15 Oct 2021 13:52:19 +0200

first-last-agg (0.1.4-4-gd63ea3b-3) unstable; urgency=medium

  * Upload for PostgreSQL 13.
  * Use dh --with pgxs_loop.
  * DH 13.
  * R³: no.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Sun, 18 Oct 2020 22:14:03 +0200

first-last-agg (0.1.4-4-gd63ea3b-2) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Tue, 29 Oct 2019 10:09:55 +0100

first-last-agg (0.1.4-4-gd63ea3b-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Mon, 25 Mar 2019 13:09:11 +0100

=== debian/control ===
Source: first-last-agg
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>,
Build-Depends: debhelper (>= 11), postgresql-all (>= 217~)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/postgresql/first-last-agg
Vcs-Git: https://salsa.debian.org/postgresql/first-last-agg.git
Homepage: https://github.com/wulczer/first_last_agg

Package: postgresql-10-first-last-agg
Architecture: any
Depends: postgresql-10, ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL extension providing first and last aggregate functions
 first-last-agg is a simple extension providing two aggregate functions, last
 and first, operating on any element type and returning the last or the first
 value of the group.
 .
 Since by default the ordering inside groups created by a GROUP BY expression
 is not defined, it is advisable to use an ORDER BY clause inside the aggregate
 expression (see the aggregate function syntax).

Package: postgresql-11-first-last-agg
Architecture: any
Depends: postgresql-11, ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL extension providing first and last aggregate functions
 first-last-agg is a simple extension providing two aggregate functions, last
 and first, operating on any element type and returning the last or the first
 value of the group.
 .
 Since by default the ordering inside groups created by a GROUP BY expression
 is not defined, it is advisable to use an ORDER BY clause inside the aggregate
 expression (see the aggregate function syntax).

Package: postgresql-12-first-last-agg
Architecture: any
Depends: postgresql-12, ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL extension providing first and last aggregate functions
 first-last-agg is a simple extension providing two aggregate functions, last
 and first, operating on any element type and returning the last or the first
 value of the group.
 .
 Since by default the ordering inside groups created by a GROUP BY expression
 is not defined, it is advisable to use an ORDER BY clause inside the aggregate
 expression (see the aggregate function syntax).

Package: postgresql-13-first-last-agg
Architecture: any
Depends: postgresql-13, ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL extension providing first and last aggregate functions
 first-last-agg is a simple extension providing two aggregate functions, last
 and first, operating on any element type and returning the last or the first
 value of the group.
 .
 Since by default the ordering inside groups created by a GROUP BY expression
 is not defined, it is advisable to use an ORDER BY clause inside the aggregate
 expression (see the aggregate function syntax).

Package: postgresql-14-first-last-agg
Architecture: any
Depends: postgresql-14, ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL extension providing first and last aggregate functions
 first-last-agg is a simple extension providing two aggregate functions, last
 and first, operating on any element type and returning the last or the first
 value of the group.
 .
 Since by default the ordering inside groups created by a GROUP BY expression
 is not defined, it is advisable to use an ORDER BY clause inside the aggregate
 expression (see the aggregate function syntax).

## first-last-agg 0.1.4~20220627.1731-4-gd63ea3b-5~1.git70f2124.pgdg20.04+1

=== debian/changelog ===
first-last-agg (0.1.4~20220627.1731-4-gd63ea3b-5~1.git70f2124.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 16:32:31 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>,
-Build-Depends: debhelper (>= 11), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 12), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/first-last-agg

## first-last-agg 0.1.4~20220627.1731-4-gd63ea3b-5~1.git70f2124.pgdg21.10+1

=== debian/changelog ===
first-last-agg (0.1.4~20220627.1731-4-gd63ea3b-5~1.git70f2124.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 16:32:31 +0100

## first-last-agg 0.1.4~20220627.1731-4-gd63ea3b-5~1.git70f2124.pgdg22.04+1

=== debian/changelog ===
first-last-agg (0.1.4~20220627.1731-4-gd63ea3b-5~1.git70f2124.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 16:32:31 +0100

## first-last-agg 0.1.4~20220627.1731-4-gd63ea3b-5~1.git70f2124.pgdg90+1

=== debian/changelog ===
first-last-agg (0.1.4~20220627.1731-4-gd63ea3b-5~1.git70f2124.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 16:32:31 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>,
-Build-Depends: debhelper (>= 12), postgresql-all (>= 217~)
+Build-Depends: debhelper (>= 10), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/first-last-agg

## first-last-agg 0.1.4~20220627.1731-4-gd63ea3b-5~1.git70f2124.pgdg100+1

=== debian/changelog ===
first-last-agg (0.1.4~20220627.1731-4-gd63ea3b-5~1.git70f2124.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 16:32:31 +0100

## first-last-agg 0.1.4~20220627.1731-4-gd63ea3b-5~1.git70f2124.pgdg110+1

=== debian/changelog ===
first-last-agg (0.1.4~20220627.1731-4-gd63ea3b-5~1.git70f2124.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 16:32:31 +0100

## first-last-agg 0.1.4~20220627.1731-4-gd63ea3b-5~1.git70f2124.pgdg120+1

=== debian/changelog ===
first-last-agg (0.1.4~20220627.1731-4-gd63ea3b-5~1.git70f2124.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 16:32:31 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>,
-Build-Depends: debhelper (>= 10), postgresql-all (>= 217~)
+Build-Depends: debhelper-compat (= 13), postgresql-all (>= 217~)
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/postgresql/first-last-agg

## first-last-agg 0.1.4~20220627.1731-4-gd63ea3b-5~1.git70f2124.pgdg+1

=== debian/changelog ===
first-last-agg (0.1.4~20220627.1731-4-gd63ea3b-5~1.git70f2124.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jan 2022 16:32:31 +0100

## first-last-agg 0.1.4-4-gd63ea3b

=== debian/changelog ===
first-last-agg (0.1.4-4-gd63ea3b-9) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117261)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 14:34:20 +0200

first-last-agg (0.1.4-4-gd63ea3b-8) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Wed, 11 Sep 2024 17:36:04 +0200

first-last-agg (0.1.4-4-gd63ea3b-7) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Sat, 16 Sep 2023 15:07:32 +0200

first-last-agg (0.1.4-4-gd63ea3b-6) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Thu, 20 Oct 2022 15:31:59 +0200

=== debian/control ===
Source: first-last-agg
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all (>= 217~),
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/postgresql/first-last-agg
Vcs-Git: https://salsa.debian.org/postgresql/first-last-agg.git
Homepage: https://github.com/wulczer/first_last_agg

Package: postgresql-18-first-last-agg
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: PostgreSQL extension providing first and last aggregate functions
 first-last-agg is a simple extension providing two aggregate functions, last
 and first, operating on any element type and returning the last or the first
 value of the group.
 .
 Since by default the ordering inside groups created by a GROUP BY expression
 is not defined, it is advisable to use an ORDER BY clause inside the aggregate
 expression (see the aggregate function syntax).

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_lintian:
	for v in $(shell pg_buildext supported-versions); do \
	  echo '# plugin does not call into any functions' > debian/postgresql-$$v-first-last-agg.lintian-overrides; \
	  echo 'shared-lib-without-dependency-information' >> debian/postgresql-$$v-first-last-agg.lintian-overrides; \
	done
	dh_lintian

%:
	dh $@ --with pgxs_loop
